Main Page Modules Data Structures File List Data Fields Globals Related Pages

# headerSprintfExtension_s Struct Reference

`#include <header.h>`

## Data Fields
enum headerSprintfExtensionType | type
const char * | name
union {
void * generic
headerTagFormatFunction formatFunction
headerTagTagFunction tagFunction
headerSprintfExtension_s * more
} | u

## Field Documentation

headerTagFormatFunction headerSprintfExtension_s::formatFunction

| HEADER_EXT_TAG extension. Definition at line 192 of file header.h.

void* headerSprintfExtension_s::generic

| Private extension. Definition at line 191 of file header.h.

struct headerSprintfExtension_s* headerSprintfExtension_s::more

| Chained table extension. Definition at line 194 of file header.h.

const char* headerSprintfExtension_s::name

| Name of extension. Definition at line 188 of file header.h. Referenced by findTag, formatValue, hdr_subscript, initrpm, and rpmDisplayQueryTags.

headerTagTagFunction headerSprintfExtension_s::tagFunction

| HEADER_EXT_FORMAT extension. Definition at line 193 of file header.h.

enum headerSprintfExtensionType headerSprintfExtension_s::type

| Type of extension. Definition at line 186 of file header.h. Referenced by allocateExtensionCache, findTag, formatValue, freeExtensionCache, hdr_subscript, initrpm, and rpmDisplayQueryTags.

union { ... } headerSprintfExtension_s::u

| Referenced by allocateExtensionCache, findTag, formatValue, freeExtensionCache, hdr_subscript, parseExpression, parseFormat, and rpmDisplayQueryTags.

The documentation for this struct was generated from the following file:

- rpmdb/header.h